GNU bug report logs - #11303
Whitespace mode causes auto-save to malfunction

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Kelly Dean <kellydeanch@HIDDEN>; Keywords: confirmed; dated Sat, 21 Apr 2012 17:50:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 11303 <at> debbugs.gnu.org:


Received: (at 11303) by debbugs.gnu.org; 16 Jul 2021 12:06:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jul 16 08:06:58 2021
Received: from localhost ([127.0.0.1]:50694 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1m4McL-0000t4-SY
	for submit <at> debbugs.gnu.org; Fri, 16 Jul 2021 08:06:58 -0400
Received: from quimby.gnus.org ([95.216.78.240]:40500)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1m4McJ-0000sq-W1
 for 11303 <at> debbugs.gnu.org; Fri, 16 Jul 2021 08:06:56 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=VrNY8pZGIlWz8RqdR6KPONNnmKuUdpRRrOqz0Pn+4Kg=; b=EF6UctbdV9i99CGLFgW84fmiwn
 ft9a0Ge0kjwl5HGSRET1JmIgPAhPaDZB1qGTZz7R8Amy1knoxHGfTM0sjHQka+PXVmnJTK3DNUe+I
 atTj7PhqmDMukLFdC+Sg5Sui5jZBrB2qtpXbqb4aKIzMpcSze4qp69Yez5AuwwFM2xpA=;
Received: from cm-84.212.220.105.getinternet.no ([84.212.220.105] helo=elva)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1m4McA-00044q-TZ; Fri, 16 Jul 2021 14:06:49 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#11303: Whitespace mode causes auto-save to malfunction
References: <1335001776.57750.YahooMailClassic@HIDDEN>
 <87r1fya2wv.fsf@HIDDEN> <831r7y5uyv.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAG1BMVEWFEReKKiilnJGS
 WVRyDxNgIx4qJR56hHn///9MMD0NAAAAAWJLR0QIht6VegAAAAd0SU1FB+UHDwcICzpaqdIAAAGU
 SURBVDjLddHBUuMwDAZgZUju0TbhAWCmPZelu1czyD3HOM6dqWMegAOvj2S7JS6pD53WX35JUQHK
 g/HAn0eADe6vAeDuAeDpgT9qle4rh9hCgs1ffgKGDCjQJoiPnBO4kUoR0skAhqH6DVWLsdbvBBpc
 LyUAqVS+cTxyrVTjuQUuYVJ0DN40I0O7hKPSIcxDbzoZaglDwwD3JvYWIEXyrfF1CD5thCOvDEQS
 qgOXer+fGZAXlyBGjkHOUGFbldDI/dzKFutLKTonnJKN1KBygpsogdm2e1nJpRQXUxPDZJ1ssf0B
 UDxsOAX3abCrgH4SsVI4/ft8R6j59wVojtN+nSwiFTDGxO602SO9LEAPU4zMThKwAr0xRPUCKN4H
 ezCu6DHlwMejNgWMCUL4r/sS8v3But4V4NPavdVuDbbe9lc9xnOiH8s3dwIf28EeSnCjTn+t7Yi6
 AtIbDq/PVCR0BnLPssMF+Ay64/WUCenuBa5LcWSWwUuIGMZ1oBDnW4G8g1XQ+gbQRLdKZdjdgLft
 Ouin8A0rqO3Ehwu7/gAAACV0RVh0ZGF0ZTpjcmVhdGUAMjAyMS0wNy0xNVQwNzowODoxMSswMDow
 MKgM0qoAAAAldEVYdGRhdGU6bW9kaWZ5ADIwMjEtMDctMTVUMDc6MDg6MTErMDA6MDDZUWoWAAAA
 AElFTkSuQmCC
X-Now-Playing: Doms & Deykers's _Fabric 94: Steffi_: "No Life on the Surface"
Date: Fri, 16 Jul 2021 14:06:46 +0200
In-Reply-To: <831r7y5uyv.fsf@HIDDEN> (Eli Zaretskii's message of "Fri, 16 Jul
 2021 15:00:56 +0300")
Message-ID: <878s26a2eh.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Eli Zaretskii <eliz@HIDDEN> writes: > The OP's recipe
 includes
 C-g, which could mean we lack an > unwind-protect somewhere, and the buffer
 stays modified due to changes > in faces. The C-g isn't necessary to reproduce
 the issue. 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 11303
Cc: 11303 <at> debbugs.gnu.org, kellydeanch@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Eli Zaretskii <eliz@HIDDEN> writes:

> The OP's recipe includes C-g, which could mean we lack an
> unwind-protect somewhere, and the buffer stays modified due to changes
> in faces.

The C-g isn't necessary to reproduce the issue.

> The fact that changes in faces cause the buffer become eligible for
> auto-saving is not a bug, IMO, it's a feature.

It's pretty annoying when using whitespace-mode -- which changes the
text properties all the time when you move around in the buffer (without
modifying the buffer).  It's not really that much of an issue elsewhere,
where font lock changes usually only happen when you actually edit the
buffer.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#11303; Package emacs. Full text available.

Message received at 11303 <at> debbugs.gnu.org:


Received: (at 11303) by debbugs.gnu.org; 16 Jul 2021 12:01:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jul 16 08:01:26 2021
Received: from localhost ([127.0.0.1]:50683 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1m4MWz-0000kQ-W4
	for submit <at> debbugs.gnu.org; Fri, 16 Jul 2021 08:01:26 -0400
Received: from eggs.gnu.org ([209.51.188.92]:42622)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1m4MWy-0000kC-7B
 for 11303 <at> debbugs.gnu.org; Fri, 16 Jul 2021 08:01:24 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:49710)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1m4MWs-0006UK-QM; Fri, 16 Jul 2021 08:01:18 -0400
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:4609
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1m4MWl-00006T-Ol; Fri, 16 Jul 2021 08:01:18 -0400
Date: Fri, 16 Jul 2021 15:00:56 +0300
Message-Id: <831r7y5uyv.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
In-Reply-To: <87r1fya2wv.fsf@HIDDEN> (message from Lars Ingebrigtsen on Fri, 
 16 Jul 2021 13:55:44 +0200)
Subject: Re: bug#11303: Whitespace mode causes auto-save to malfunction
References: <1335001776.57750.YahooMailClassic@HIDDEN>
 <87r1fya2wv.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 11303
Cc: 11303 <at> debbugs.gnu.org, kellydeanch@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Lars Ingebrigtsen <larsi@HIDDEN>
> Date: Fri, 16 Jul 2021 13:55:44 +0200
> Cc: 11303 <at> debbugs.gnu.org
> 
> Kelly Dean <kellydeanch@HIDDEN> writes:
> 
> > Start Emacs with no options.
> > Open a file, press space, wait for the timeout, press C-g, and wait
> > for the timeout again. Notice that Emacs does write the auto-save file
> > again, even though the buffer hasn't changed since the last
> > auto-save. This is not the correct behavior.
> 
> This problem is still present in Emacs 28.
> 
> Poking around a bit at this, it seems that it's the call to
> 
> (jit-lock-refontify (point-min) (point-max))
> 
> that makes `M-x do-auto-save' auto-save again (even if nothing has
> changed except the text properties in the buffer).
> 
> I.e., doing
> 
> (put-text-property 1 3 'face 'bold)
> 
> will make the buffer eligible for auto-saving again, even if putting
> those text properties into the buffer doesn't switch from unmodified to
> modified.
> 
> That's pretty inconsistent behaviour, at least?  I'm guessing this stems
> from text properties upping the BUF_MODIFF, but not changing the buffer
> modification status.
> 
> Does this sound like the correct analysis?  If so, what can we do about
> it?  (`with-silent-modifications' doesn't seem to have any effect here.)

The OP's recipe includes C-g, which could mean we lack an
unwind-protect somewhere, and the buffer stays modified due to changes
in faces.

The fact that changes in faces cause the buffer become eligible for
auto-saving is not a bug, IMO, it's a feature.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#11303; Package emacs. Full text available.

Message received at 11303 <at> debbugs.gnu.org:


Received: (at 11303) by debbugs.gnu.org; 16 Jul 2021 11:55:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jul 16 07:55:57 2021
Received: from localhost ([127.0.0.1]:50656 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1m4MRh-0000Zc-2D
	for submit <at> debbugs.gnu.org; Fri, 16 Jul 2021 07:55:57 -0400
Received: from quimby.gnus.org ([95.216.78.240]:40298)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1m4MRe-0000ZO-Lr
 for 11303 <at> debbugs.gnu.org; Fri, 16 Jul 2021 07:55:55 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=yQAvD7tlGyrIHBo2uK9x0BiHsmgXj/RgZZKsmbfiMmE=; b=Xfnb9kBm6PZGcM1mKL273Rogss
 Rh2aQxOIf5FMowQwsE6CnV1tuNeNWxhP4ti/zcli/wLsppEfS1hvskXwUN3Q9W95yesut2vIh0quX
 WizgqHpvWJXT4QhNNW3jOe5I3qRiVWAQFvsV7jaGTS7Gz5IfaNgLyr2o2j1JQ/8r6bLg=;
Received: from cm-84.212.220.105.getinternet.no ([84.212.220.105] helo=elva)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1m4MRV-0003yp-M1; Fri, 16 Jul 2021 13:55:48 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Kelly Dean <kellydeanch@HIDDEN>
Subject: Re: bug#11303: Whitespace mode causes auto-save to malfunction
References: <1335001776.57750.YahooMailClassic@HIDDEN>
X-Now-Playing: Voiski's _Fabric 94: Steffi_: "Sounds of Distance"
Date: Fri, 16 Jul 2021 13:55:44 +0200
In-Reply-To: <1335001776.57750.YahooMailClassic@HIDDEN>
 (Kelly Dean's message of "Sat, 21 Apr 2012 02:49:36 -0700 (PDT)")
Message-ID: <87r1fya2wv.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Kelly Dean <kellydeanch@HIDDEN> writes: > Start Emacs with
 no options. > Open a file, press space, wait for the timeout, press C-g,
 and wait > for the timeout again. Notice that Emacs does write the auto-save
 file > again, even though the b [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 11303
Cc: 11303 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Kelly Dean <kellydeanch@HIDDEN> writes:

> Start Emacs with no options.
> Open a file, press space, wait for the timeout, press C-g, and wait
> for the timeout again. Notice that Emacs does write the auto-save file
> again, even though the buffer hasn't changed since the last
> auto-save. This is not the correct behavior.

This problem is still present in Emacs 28.

Poking around a bit at this, it seems that it's the call to

(jit-lock-refontify (point-min) (point-max))

that makes `M-x do-auto-save' auto-save again (even if nothing has
changed except the text properties in the buffer).

I.e., doing

(put-text-property 1 3 'face 'bold)

will make the buffer eligible for auto-saving again, even if putting
those text properties into the buffer doesn't switch from unmodified to
modified.

That's pretty inconsistent behaviour, at least?  I'm guessing this stems
from text properties upping the BUF_MODIFF, but not changing the buffer
modification status.

Does this sound like the correct analysis?  If so, what can we do about
it?  (`with-silent-modifications' doesn't seem to have any effect here.)

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#11303; Package emacs. Full text available.
Added tag(s) confirmed. Request was from Noam Postavsky <npostavs@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
bug Marked as found in versions 26.1. Request was from Noam Postavsky <npostavs@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 11303 <at> debbugs.gnu.org:


Received: (at 11303) by debbugs.gnu.org; 2 Jun 2012 21:24:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jun 02 17:24:41 2012
Received: from localhost ([127.0.0.1]:54972 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1SavoO-0005fX-Q0
	for submit <at> debbugs.gnu.org; Sat, 02 Jun 2012 17:24:41 -0400
Received: from nm22-vm2.bullet.mail.ne1.yahoo.com ([98.138.91.210]:37638)
	by debbugs.gnu.org with smtp (Exim 4.72)
	(envelope-from <kellydeanch@HIDDEN>) id 1Savo4-0005f0-8b
	for 11303 <at> debbugs.gnu.org; Sat, 02 Jun 2012 17:24:39 -0400
Received: from [98.138.90.48] by nm22.bullet.mail.ne1.yahoo.com with NNFMP;
	02 Jun 2012 21:22:26 -0000
Received: from [98.138.88.232] by tm1.bullet.mail.ne1.yahoo.com with NNFMP;
	02 Jun 2012 21:22:26 -0000
Received: from [127.0.0.1] by omp1032.mail.ne1.yahoo.com with NNFMP;
	02 Jun 2012 21:22:26 -0000
X-Yahoo-Newman-Property: ymail-3
X-Yahoo-Newman-Id: 716596.33608.bm@HIDDEN
Received: (qmail 4261 invoked by uid 60001); 2 Jun 2012 21:22:26 -0000
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s1024;
	t=1338672146; bh=4DJN51pOFvsqLoQXl2D7iehOU99zw4Gz3yvPIhW1aP4=;
	h=X-YMail-OSG:Received:X-Mailer:Message-ID:Date:From:Subject:To:MIME-Version:Content-Type;
	b=SKeJkKbznoLI/TGtEZvnckYtwrwsvEQ6XqOPsCSdvfJmselLhOatyRFUj0IExV2/oDu5rlrZuizupfqSMoF34z+psoZ4xhvpeuhnHAJyndC4Nn3PqisOvpbaq5P1R5PcLd9Lwn3Q1vKtVRwtScfWFrJEceJpnq4nWqsWtklmZEI=
DomainKey-Signature: a=rsa-sha1; q=dns; c=nofws; s=s1024; d=yahoo.com;
	h=X-YMail-OSG:Received:X-Mailer:Message-ID:Date:From:Subject:To:MIME-Version:Content-Type;
	b=QRDGLB1Dr8c7VpE+YZXCBYU0ISyVRyPbNCXjaw1KkYtg3mIrbrEBE/DqCCEa7+heGm5ljkabK4RmDnzU4qUxid+yNy5PqfV5dtDmE7g5KnwpKRfb40bNQUATI9vrnWPAgqXLIIj2WNldpxhoR6xYw0iuGYoe/Q0c0KK+ng7itmM=;
X-YMail-OSG: dzer95kVM1nU.F99SQ9APdlKJZImOxvOvP0NrEdogzr6qu4
	GHN3mctstkAOIWeu804BgBVq4GkHjW6Ed85jhzdO1MBotXqrRGL6xykKwaYj
	MDOMf01ASGCEGASXfdAo8y4GvFQAO95u752aHBiVmVrZut_cJYH8Fb_CQHDE
	KbuimEH6ONspMr2daHimX1ihUr2cwr29XWjeGrE32O0rOK8yoDC0QhppEewi
	iDAhGJb30R2Z7PRrw7Lh78Mrl1i9OgEdBUWko5fA_NQughGAbeelSajgNj3B
	tdgNj3rIA8fVg7Fwuz6l2n2GgU8h3GUEWpKlI4jPDHMpZYpSdakADeIGLaUH
	igJCutqNonTr38lCd.9OdeI4tVn9rbO6yiaoIvmyS1EyO6KsusD61fWUojjm
	Y.yukDa3c
Received: from [81.170.186.175] by web121502.mail.ne1.yahoo.com via HTTP;
	Sat, 02 Jun 2012 14:22:26 PDT
X-Mailer: YahooMailClassic/15.0.6 YahooMailWebService/0.8.118.349524
Message-ID: <1338672146.3248.YahooMailClassic@HIDDEN>
Date: Sat, 2 Jun 2012 14:22:26 -0700 (PDT)
From: Kelly Dean <kellydeanch@HIDDEN>
Subject: Whitespace mode causes auto-save to malfunction
To: 11303 <at> debbugs.gnu.org
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-Spam-Score: -1.9 (-)
X-Debbugs-Envelope-To: 11303
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.9 (-)

This bug is reproducible on 24.1-rc1. (emacs-version reports "GNU Emacs 24.1.1 (i686-pc-linux-gnu, X toolkit, Xaw scroll bars) of 2012-06-01 on localhost")





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#11303; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 21 Apr 2012 17:49:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Apr 21 13:49:47 2012
Received: from localhost ([127.0.0.1]:45933 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1SLeRP-0006Hk-5W
	for submit <at> debbugs.gnu.org; Sat, 21 Apr 2012 13:49:47 -0400
Received: from eggs.gnu.org ([208.118.235.92]:41742)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <kellydeanch@HIDDEN>) id 1SLWxO-0000u9-VU
	for submit <at> debbugs.gnu.org; Sat, 21 Apr 2012 05:50:19 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <kellydeanch@HIDDEN>) id 1SLWwp-0000rB-3y
	for submit <at> debbugs.gnu.org; Sat, 21 Apr 2012 05:49:44 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-6.9 required=5.0 tests=BAYES_00,FREEMAIL_FROM,
	RCVD_IN_DNSWL_HI,T_DKIM_INVALID autolearn=unavailable version=3.3.2
Received: from lists.gnu.org ([208.118.235.17]:33366)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <kellydeanch@HIDDEN>) id 1SLWwo-0000qr-UR
	for submit <at> debbugs.gnu.org; Sat, 21 Apr 2012 05:49:43 -0400
Received: from eggs.gnu.org ([208.118.235.92]:51191)
	by lists.gnu.org with esmtp (Exim 4.71)
	(envelope-from <kellydeanch@HIDDEN>) id 1SLWwn-0007nQ-7T
	for bug-gnu-emacs@HIDDEN; Sat, 21 Apr 2012 05:49:42 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <kellydeanch@HIDDEN>) id 1SLWwl-0000mq-Bp
	for bug-gnu-emacs@HIDDEN; Sat, 21 Apr 2012 05:49:40 -0400
Received: from nm5-vm2.bullet.mail.ne1.yahoo.com ([98.138.90.153]:27986)
	by eggs.gnu.org with smtp (Exim 4.71)
	(envelope-from <kellydeanch@HIDDEN>) id 1SLWwl-0000hS-1K
	for bug-gnu-emacs@HIDDEN; Sat, 21 Apr 2012 05:49:39 -0400
Received: from [98.138.90.53] by nm5.bullet.mail.ne1.yahoo.com with NNFMP;
	21 Apr 2012 09:49:36 -0000
Received: from [98.138.89.248] by tm6.bullet.mail.ne1.yahoo.com with NNFMP;
	21 Apr 2012 09:49:36 -0000
Received: from [127.0.0.1] by omp1040.mail.ne1.yahoo.com with NNFMP;
	21 Apr 2012 09:49:36 -0000
X-Yahoo-Newman-Property: ymail-3
X-Yahoo-Newman-Id: 584287.97118.bm@HIDDEN
Received: (qmail 76310 invoked by uid 60001); 21 Apr 2012 09:49:36 -0000
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s1024;
	t=1335001776; bh=7OHArjAGqEr0G1jKEfO3m7xoTUcUTaVIqA3uG1Dw1Yc=;
	h=X-YMail-OSG:Received:X-Mailer:Message-ID:Date:From:Subject:To:MIME-Version:Content-Type;
	b=dqvvTjTeaOegQLfmb1Qv4zSLUZUOrhpLIZMKzP4ZaOJfspme9KgUtdfS/r6NtEz460U2opVOgpkhdsH7g6gRuFDY4+bxi6NW3iGNA8ZN5OI0GVCXBkN0y3sQHQVVc9JFvsRNmJP14cI/hu1YJI5Sbkk7Q0dNBwdftvLZvCfe93o=
DomainKey-Signature: a=rsa-sha1; q=dns; c=nofws; s=s1024; d=yahoo.com;
	h=X-YMail-OSG:Received:X-Mailer:Message-ID:Date:From:Subject:To:MIME-Version:Content-Type;
	b=LoeCf58n0vJsV4ATmcsMpZrIw3JMrWRUwblpy15kYS1MqXyILQUC/mgPg6Mg+Wa8eDDJkanBL+me3UK3QLzsafXvJYJ3cCaScdO1e+L39hKEzBSJEudHLLzwIoeTq2MHDoKWLT46JUE03buq+zYsN6RI2B/w/GMYqgaCYbYiggI=;
X-YMail-OSG: kAxTQ08VM1loXiRzYwZBHGEm.ErkOJO6sthgC9bKFzOSBWF
	NJ8vG6cUpU29JolbcJM41pP.TfpTSr0.wLUkxuzhgcjc1A9L2uBVK5svBHBR
	w4oQoohlfy43pwlr7Rp2adP8Ncq6zaz7s1r4fEUOqWYXX2Zs.B.dxYmqzNdn
	qX3WQ9JCOYI4D.055ht06Xe8FNCeNykt4ziVYxxnz_gnyqS8p7WjEfYI11iD
	cD3xkrq7GsQFxTNzhoz4EQeXwjf1xnr_qxc..TYj3rsFQdt2OaoQ2lFaQvLa
	GFCJwgto6gpAIvIY09N3GfgnF5V53bb9nh13jX3ttcomgvWIU8kW7D8QlNCA
	pGaJEd50ANsm9u5WoPn4jTHKisZobpBNYzhC44z2YjFN16myUnrI5JETKc0. 0E4qi
Received: from [146.185.23.179] by web121502.mail.ne1.yahoo.com via HTTP;
	Sat, 21 Apr 2012 02:49:36 PDT
X-Mailer: YahooMailClassic/15.0.5 YahooMailWebService/0.8.117.340979
Message-ID: <1335001776.57750.YahooMailClassic@HIDDEN>
Date: Sat, 21 Apr 2012 02:49:36 -0700 (PDT)
From: Kelly Dean <kellydeanch@HIDDEN>
Subject: Whitespace mode causes auto-save to malfunction
To: bug-gnu-emacs@HIDDEN
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
	recognized.
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 3)
X-Received-From: 208.118.235.17
X-Spam-Score: -6.9 (------)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Sat, 21 Apr 2012 13:49:45 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.9 (------)

I'm using Emacs on X on Debian 6 Stable. emacs-version says GNU Emacs 23.2.1 (i486-pc-linux-gnu, GTK+ Version 2.20.0) of 2010-12-11 on raven, modified by Debian.
Steps to reproduce the bug:
Delete your .emacs file.
Start X, and start Emacs with no options.
Open any writeable file, then press space, so that the buffer is modified.
Wait for the auto-save timeout. Emacs writes the auto-save file.
Press C-g.
Wait for the auto-save timeout again. Notice that Emacs does not write the auto-save file again, because the buffer hasn't changed since the last auto-save. This is the correct behavior.
Now, close Emacs, and put just the following in your .emacs file:
(global-whitespace-mode 1)
Start Emacs with no options.
Open a file, press space, wait for the timeout, press C-g, and wait for the timeout again. Notice that Emacs does write the auto-save file again, even though the buffer hasn't changed since the last auto-save. This is not the correct behavior.
This can cause various problems, for example unnecessarily spinning up a sleeping disk to write the auto-save file, and the timestamp on the auto-save file can't be relied on to show when (approximately, with accuracy determined by the value of auto-save-timeout) the buffer was last modified.





Acknowledgement sent to Kelly Dean <kellydeanch@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#11303; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 16 Jul 2021 12:15:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.